
HP ProCurve 2626-PWR Power over Ethernet (PoE)
Model 2626-PWRPart no. J8164AEAN 8087366752912
43 specifications
- ProcessorPowerPC MPC8245
- Memory32 MB
- Speed1 Gbit/s
- ConnectivityWired
- Noise53 dB
- Weight6.81 kg
Overview
- Processor
- PowerPC MPC8245
- Memory
- 32 MB
- Speed
- 1 Gbit/s
- Connectivity
- Wired
- Noise
- 53 dB
- Weight
- 6.81 kg
- Brand
- HP
- Category
- Network Switch
- Model
- 2626-PWR
- Part number
- J8164A
- EAN / UPC
- 8087366752912, 808736675291, 808736675307, 808736675321 +4 more
- Also known as
- HP ProCurve 2626-PWR Power over Ethernet (PoE)
Specifications
43 specifications in 15 groups
Management features
| Specification | Value |
|---|---|
| MIB support | RFC 1213/1493/2021/2096/2613/2618/2665/2668/2674/2737/2863 |
Ports & interfaces
| Specification | Value |
|---|---|
| Basic switching RJ-45 Ethernet ports quantity | 24 |
| Gigabit Ethernet (copper) ports quantity | 2 |
| Console port | RS-232 |
Network
| Specification | Value |
|---|---|
| Networking standards | IEEE 802.1D, IEEE 802.1p, IEEE 802.1Q, IEEE 802.1s, IEEE 802.1w, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3u, IEEE 802.3x |
| 10G support | No |
| Copper ethernet cabling technology | 1000BASE-T, 100BASE-TX, 10BASE-T |
| Full duplex | Yes |
| Auto MDI/MDI-X | Yes |
| Flow control support | Yes |
| Link aggregation | Yes |
| Spanning tree protocol | Yes |
Data transmission
| Specification | Value |
|---|---|
| MAC address table | 8000 entries |
| Supported data transfer rates | 10/100/1000 Mbps |
| Switching capacity | 9.6 Gbit/s |
| Throughput | 6600000 pps |
| Maximum data transfer rate | 1 Gbit/s |
Security
| Specification | Value |
|---|---|
| SSH/SSL support | Yes |
| Security algorithms | 802.1x RADIUS, SSH, SSL/TLS |
Multicast features
| Specification | Value |
|---|---|
| Multicast support | Yes |
Protocols
| Specification | Value |
|---|---|
| Management protocols | SNMPv1/v2c/v3, LLDP-MED, ANSI/TIA-1057 LLDP, RFC 3164 BSD, RFC 2819, IEEE 802.1AB |
Design
| Specification | Value |
|---|---|
| Safety | CSA 22.2 950; cUL (CSA 950); EN 60950/IEC 60950; NOM-019-SCFI-1994; UL 1950 3; UL 60950 |
Performance
| Specification | Value |
|---|---|
| Built-in processor | Yes |
| Processor model | PowerPC MPC8245 |
| Processor frequency | 266 MHz |
| Internal memory | 32 MB |
| Flash memory | 8 MB |
| Noise level | 53 dB |
Power
| Specification | Value |
|---|---|
| Input voltage | 100 - 240 V |
| Power consumption (typical) | 631 W |
Power over Ethernet (PoE)
| Specification | Value |
|---|---|
| Power over Ethernet (PoE) | Yes |
Other features
| Specification | Value |
|---|---|
| Latency | <12 µs |
| Dimensions (WxDxH) | 442.5 x 458 x 445 mm |
| Connectivity technology | Wired |
| Input frequency | 50 - 60 Hz |
| Networking features | Fast Ethernet |
Operational conditions
| Specification | Value |
|---|---|
| Operating temperature (T-T) | 0 - 50 °C |
| Storage temperature (T-T) | -40 - 70 °C |
| Operating relative humidity (H-H) | 15 - 95% |
| Storage relative humidity (H-H) | 15 - 95% |
| Heat dissipation | 2155 BTU/h |
Weight & dimensions
| Specification | Value |
|---|---|
| Weight | 6.81 kg |
Certificates
| Specification | Value |
|---|---|
| Certification | FCC A; VCCI A; EN 55022/CISPR 22 A |
What people say
Reviews & ratings
HP ProCurve 2626-PWR Power over Ethernet (PoE)
No reviews yet
Be the first to tell others how HP ProCurve 2626-PWR Power over Ethernet (PoE) works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
Compare HP ProCurve 2626-PWR Power over Ethernet (PoE)
All network switch comparisons- HP ProCurve 2626-PWR Power over Ethernet (PoE) vsHP V1410-24G + V1410-8GCompare specs
- HP ProCurve 2626-PWR Power over Ethernet (PoE) vsHP V1410-24 + V1410-8Compare specs
- HP ProCurve 2626-PWR Power over Ethernet (PoE) vsHP ProCurve 2510-24G Managed L2 1U BlackCompare specs
- HP ProCurve 2626-PWR Power over Ethernet (PoE) vsHP ProCurve 2510-48G Managed L2 1U BlackCompare specs
- HP ProCurve 2626-PWR Power over Ethernet (PoE) vsEnGenius ESW-8826 network switch ManagedCompare specs
- HP ProCurve 2626-PWR Power over Ethernet (PoE) vsNETGEAR ProSafe FS752TPCompare specs
- HP ProCurve 2626-PWR Power over Ethernet (PoE) vsAllied Telesis AT9424T/POE50 network switch Managed L3 Power over Ethernet (PoE) GreyCompare specs
- HP ProCurve 2626-PWR Power over Ethernet (PoE) vsAllied Telesis AT-SB4108 network switch Managed L3 GreyCompare specs
Similar products
All network switchesD-Link
DGS-3130 Series Gigabit Layer 3 Stackable Managed Switches
Model DGS-3130-30PS
- Noise
- 53.4 dB
- Weight
- 4.66 kg
- Colour
- Black, Grey
D-Link
48-port Layer 3 Stackable Managed Gigabit Switch including
Model DGS-3630-52TC
- Noise
- 53.9 dB
- Type
- 1U
- Weight
- 4.04 kg
D-Link
24-Port L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28TC
- Noise
- 52.7 dB
- Type
- 1U
- Weight
- 3.74 kg
LevelOne
18-Port L2 Plus Managed Industrial PoE Switch
Model IGP-1871
- Memory
- 512 MB
- Weight
- 1.55 kg
- Colour
- Black
D-Link
24-Port SFP L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28SC
- Noise
- 56 dB
- Type
- 1U
- Weight
- 3.79 kg
D-Link
28-Port Gigabit PoE+ Smart Managed Switch including
Model DGS-1210-28MP
- Memory
- 128 MB
- Noise
- 52.4 dB
- Type
- 1U
NETGEAR
M4350-36X4V network switch Managed L3
Model M4350-36X4V
- Processor
- ARM Cortex-A57
- Memory
- 4096 MB
- Noise
- 54 dB



















